Name: libgsm
Version: 1.0.10
Release: alt2

Summary: GSM audio encoding/decoding library
License: Free/Copyright Technische Universitaet Berlin
Group: System/Libraries
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.cs.tu-berlin.de/pub/local/kbs/tubmik/gsm/gsm-%version.tar.gz
Patch: %name-1.0.10-pld-makefile.patch

%description
This is a free and public implementation of GSM audio encoding and
decoding. GSM encoding has specific uses in transmission of packetized
audio over the Internet.

%package utils
Summary: Utilities for compress/decompress audio files using GSM format. 
Group: Sound

%description utils
This package contains utilities - tost, untoast and tcat (works without
installation libgsm) for compress/decompress files using GSM format.

%package devel
Summary: Header files and development documentation for libgsm
Group: Development/C
Requires: %name = %version

%description devel
Header files and development documentation for libgsm.

%package devel-static
Summary: GSM Audio Encoding/decoding static library
Group: Development/C
Requires: %name-devel = %version

%description devel-static
GSM Audio Encoding/decoding static library.

%prep
%setup -q -n gsm-1.0-pl10
%patch -p1

%build
%make OPTFLAGS="${CFLAGS:-%optflags}" WAV49="-DWAV49"
%make addtst

%install
%__install -d %buildroot{%_bindir,%_mandir/man{1,3},%_includedir,%_libdir}
%makeinstall INSTALL_ROOT=%buildroot

echo .so toast.1 >%buildroot%_mandir/man1/tcat.1
echo .so toast.1 >%buildroot%_mandir/man1/untoast.1

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc COPYRIGHT ChangeLog MACHINES MANIFEST README
%_libdir/%name.so.*.*

%files utils
%_bindir/*
%_mandir/man1/*

%files devel
%_libdir/%name.so
%_includedir/*
%_mandir/man3/*

%files devel-static
%_libdir/%name.a

%changelog
* Mon Oct 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.10-alt2
- Rebuild with gcc-3.2. 

* Wed Dec 12 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.0.10-alt1
- PLD Team package 1.0.10-5 adopted for Sisyphus.
